Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package javac
  Definition Classes
    nsc
- JavaParsers
- JavaScanners
- JavaTokens

t

scala.tools.nsc.javac

# JavaParsers 

###

#### trait JavaParsers extends ParsersCommon with JavaScanners

Source
  JavaParsers.scala

Linear Supertypes
JavaScanners, ParsersCommon, ScannersCommon, AnyRef, Any
Known Subclasses
SyntaxAnalyzer, ScaladocSyntaxAnalyzer
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JavaParsers
2. JavaScanners
3. ParsersCommon
4. ScannersCommon
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  abstract class ParserCommon extends AnyRef

   This is now an abstract class, only to work around the optimizer: methods in traits are never inlined.

   This is now an abstract class, only to work around the optimizer: methods in traits are never inlined.

   Definition Classes
     ParsersCommon
2.  trait CommonTokenData extends AnyRef
   Definition Classes
     ScannersCommon
3.  trait DocScanner extends AnyRef
   Definition Classes
     ScannersCommon
4.  trait ScannerCommon extends CommonTokenData
   Definition Classes
     ScannersCommon
5.  case class JavaOpInfo (operand: Global.Tree, operator: Global.Name, pos: Int) extends Product with Serializable
6.  abstract class JavaParser extends ParserCommon
7.  class JavaUnitParser extends JavaParser
8.  type Offset = Int

   Offset into source character array

   Offset into source character array

   Definition Classes
     ScannersCommon
9.  type Token = Int
   Definition Classes
     ScannersCommon
10.  abstract class AbstractJavaScanner extends AbstractJavaTokenData

    ...

    ...

    Definition Classes
      JavaScanners
11.  abstract class AbstractJavaTokenData extends AnyRef
    Definition Classes
      JavaScanners
12.  abstract class JavaScanner extends AbstractJavaScanner with JavaTokenData with Cloneable with ScannerCommon with DocScanner

    A scanner for Java.

    A scanner for Java.

    Definition Classes
      JavaScanners
13.  trait JavaTokenData extends AbstractJavaTokenData

    A class for representing a token's data.

    A class for representing a token's data.

    Definition Classes
      JavaScanners
14.  class JavaUnitScanner extends JavaScanner
    Definition Classes
      JavaScanners

### Abstract Value Members

1.  abstract val global: Global
   Definition Classes
     JavaParsers → JavaScanners → ParsersCommon → ScannersCommon

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from JavaParsers to any2stringadd[JavaParsers] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (JavaParsers, B)
   Implicit
     This member is added by an implicit conversion from JavaParsers to ArrowAssoc[JavaParsers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def createKeywordArray(keywords: Seq[(Global.Name, Token)], defaultToken: Token): (Token, Array[Token])
   Definition Classes
     ScannersCommon
9.  def ensuring(cond: (JavaParsers) ⇒ Boolean, msg: ⇒ Any): JavaParsers
   Implicit
     This member is added by an implicit conversion from JavaParsers to Ensuring[JavaParsers] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (JavaParsers) ⇒ Boolean): JavaParsers
    Implicit
      This member is added by an implicit conversion from JavaParsers to Ensuring[JavaParsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): JavaParsers
    Implicit
      This member is added by an implicit conversion from JavaParsers to Ensuring[JavaParsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): JavaParsers
    Implicit
      This member is added by an implicit conversion from JavaParsers to Ensuring[JavaParsers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from JavaParsers to StringFormat[JavaParsers] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  def literalUnit: Global.Literal
    Definition Classes
      ParsersCommon
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def newLiteral(const: Any): Global.Literal
    Definition Classes
      ParsersCommon
23.  final def notify(): Unit
    Definition Classes
      AnyRef
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  def →[B](y: B): (JavaParsers, B)
    Implicit
      This member is added by an implicit conversion from JavaParsers to ArrowAssoc[JavaParsers] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
31.  object JavaScannerConfiguration
    Definition Classes
      JavaScanners

### Inherited from JavaScanners

### Inherited from ParsersCommon

### Inherited from ScannersCommon

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from JavaParsers to any2stringadd[JavaParsers]

### Inherited by implicit conversion StringFormat from JavaParsers to StringFormat[JavaParsers]

### Inherited by implicit conversion Ensuring from JavaParsers to Ensuring[JavaParsers]

### Inherited by implicit conversion ArrowAssoc from JavaParsers to ArrowAssoc[JavaParsers]

### Ungrouped